Skip to main content
POST
Run Eval

Authorizations

Authorization
string
header
required

In the form Bearer <api_key_here>. You can find your api key in your dashboard.

Path Parameters

id
string
required

ID of the eval config.

Body

application/json
versionedPromptId
string
required

The ID of the versioned prompt to use for this eval run.

callAgentId
string
required

The ID of the call agent to evaluate.

evalRecordIds
string[]

Optional list of specific eval record IDs to run. If omitted, all records in the config are evaluated.

Response

Successful operation

id
string
required
status
enum<string>
required

The status of an evaluation run.

Available options:
PENDING,
RUNNING,
SUCCESS,
FAILED,
CANCELLED
callAgentId
string
required
versionedPromptId
string
required
createdAt
string<date-time>
required
aggregateResult
object
required